SYSTEMD-SSH-ISSUE(1)

NAME
systemd-ssh-issue - Generator for SSH login prompt drop-ins

SYNOPSIS

/usr/lib/systemd/systemd-ssh-issue [OPTIONS...] make-vsock

/usr/lib/systemd/systemd-ssh-issue [OPTIONS...] rm-vsock

DESCRIPTION

systemd-ssh-issue is a small tool that generates (when called with make-vsock) and removes (when called with rm-vsock) a /run/issue.d/50-ssh-vsock.issue drop-in file in case AF_VSOCK support is available in the kernel and the VM environment. The file contains brief information about how to contact the local system via SSH-over-AF_VSOCK, in particular it reports the system's AF_VSOCK CID. The file is typically read and displayed by agetty(8) on console or serial login prompts.

This tool is automatically used by systemd-ssh-generator(8) in the AF_VSOCK socket units it generates.

OPTIONS

The following options are understood:

--issue-path=
    Changes the path to the issue file to write to/remove. If not specified, defaults to /run/issue.d/50-ssh-vsock.issue. If specified as empty string or "-" writes the issue file contents to standard output.

    Added in version 258.

-h, --help
    Print a short help text and exit.

--version
    Print a short version string and exit.

EXIT STATUS

On success, 0 is returned, a non-zero failure code otherwise.

SEE ALSO

systemd(1), systemd-ssh-generator(8), vsock(7), ssh(1), sshd(8), agetty(8)